package com.neusoft.smart.pos.ota.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class UpgradeStrategyGroup implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Integer id;
	
	private String strategyName;
	
	private Integer packageId;
	
	private Date upgradeStartTime;
	
	private Date upgradeEndTime;
	
	private Integer isForce;
	
	private Integer organizationId;
	
	private Integer createdBy;
	
	private Date createdDate;
	
	private Integer lastModifiedBy;
	
	private Date lastModifiedDate;
	
	private Integer status;
	
	public Integer getId() {
		return id;
	}
	
	public void setId(Integer id) {
		this.id = id;
	}
	
	public String getStrategyName() {
		return strategyName;
	}
	
	public void setStrategyName(String strategyName) {
		this.strategyName = strategyName == null ? null : strategyName.trim();
	}
	
	public Integer getPackageId() {
		return packageId;
	}
	
	public void setPackageId(Integer packageId) {
		this.packageId = packageId;
	}
	
	public Date getUpgradeStartTime() {
		return upgradeStartTime;
	}
	
	public void setUpgradeStartTime(Date upgradeStartTime) {
		this.upgradeStartTime = upgradeStartTime;
	}
	
	public Date getUpgradeEndTime() {
		return upgradeEndTime;
	}
	
	public void setUpgradeEndTime(Date upgradeEndTime) {
		this.upgradeEndTime = upgradeEndTime;
	}
	
	public Integer getIsForce() {
		return isForce;
	}
	
	public void setIsForce(Integer isForce) {
		this.isForce = isForce;
	}
	
	public Integer getOrganizationId() {
		return organizationId;
	}
	
	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}
	
	public Integer getCreatedBy() {
		return createdBy;
	}
	
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	
	public Date getCreatedDate() {
		return createdDate;
	}
	
	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}
	
	public Integer getLastModifiedBy() {
		return lastModifiedBy;
	}
	
	public void setLastModifiedBy(Integer lastModifiedBy) {
		this.lastModifiedBy = lastModifiedBy;
	}
	
	public Date getLastModifiedDate() {
		return lastModifiedDate;
	}
	
	public void setLastModifiedDate(Date lastModifiedDate) {
		this.lastModifiedDate = lastModifiedDate;
	}
	
	public Integer getStatus() {
		return status;
	}
	
	public void setStatus(Integer status) {
		this.status = status;
	}
}